[arch-commits] Commit in grub2/repos (3 files)

Ronald van Haren ronald at archlinux.org
Sun May 10 18:15:05 EDT 2009


    Date: Sunday, May 10, 2009 @ 18:15:04
  Author: ronald
Revision: 38929

Merged revisions 22859,38927 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/grub2/trunk

........
  r22859 | ronald | 2008-12-29 11:39:12 +0100 (Mon, 29 Dec 2008) | 1 line
  
  upgpkg: grub2 1.96_20081229-1
........
  r38927 | ronald | 2009-05-11 00:12:35 +0200 (Mon, 11 May 2009) | 1 line
  
  upgpkg: grub2 1.96_20090507-1
........

Modified:
  grub2/repos/extra-x86_64/	(properties)
  grub2/repos/extra-x86_64/PKGBUILD
  grub2/repos/extra-x86_64/grub-1.96-chainloader.patch

-----------------------------+
 PKGBUILD                    |   44 +++++++++++++++++++++++-------------------
 grub-1.96-chainloader.patch |    2 -
 2 files changed, 26 insertions(+), 20 deletions(-)


Property changes on: grub2/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /grub2/trunk:1-22857
   + /grub2/trunk:1-38928

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-10 22:13:03 UTC (rev 38928)
+++ extra-x86_64/PKGBUILD	2009-05-10 22:15:04 UTC (rev 38929)
@@ -3,35 +3,40 @@
 # Contributor: dongiovanni <dongiovanni.archlinux.de>
 
 pkgname=grub2
-pkgver=1.96_20081229
+pkgver=1.96_20090507
 pkgrel=1
 pkgdesc="The GNU GRand Unified Bootloader"
 url="http://www.gnu.org/software/grub/"
 arch=('i686' 'x86_64')
 license=('GPL3')
-
-depends=('bash' 'lzo2')
+depends=('bash' 'lzo2' 'freetype2')
+optdepens=('ruby:usr/share/grub/genmk.rb script')
+makedepends=('bdf-unifont' 'ruby')
 conflicts=('grub')
 provides=('grub')
 backup=('boot/grub/grub.cfg')
 install=${pkgname}.install
-
-source=(http://www.archlinux.org/~ronald/grub2-1.96_20081229.tar.bz2
+source=(ftp://ftp.archlinux.org/sources/${pkgname}-${pkgver}.src.tar.gz
 	# use our own svn checkout so disable snapshot
 	#ftp://alpha.gnu.org/gnu/grub/grub-${pkgver}.tar.gz  
-	'grub.cfg'  
-	'install-grub')  
-md5sums=('e677ad5d3048c48c614bf703a74e4599'
-         '743215998a581a54ac77630f0db222ce'
-         '3182c4ae4963a16930bc772bba89dacf')
+	'grub.cfg')  
+# don't install auto-install script. TODO: It needs a rewrite to work with grub2
+#	'install-grub')  
+md5sums=('3092406035593543c0c62aeab1135008'
+         '743215998a581a54ac77630f0db222ce')
 
 build() {
   # Set destination architecture here
-  #DESTARCH="i686"
-  DESTARCH="x86_64"
+  DESTARCH="i686"
+  #DESTARCH="x86_64"
 
   cd $srcdir/${pkgname}-${pkgver}
+  # run autogen.sh to create configure files
+  ./autogen.sh
 
+  # fix unifont.bdf location
+  sed -i 's|/usr/src/unifont.bdf|/usr/share/fonts/misc/unifont.bdf|' configure || return 1
+
   # Arch64 grub2 needs to be statically build on i686
   if [ "$CARCH" = "x86_64" ]; then
     echo "this package has to be built on i686, won't compile on x86_64"
@@ -41,15 +46,15 @@
     if [ "$DESTARCH" = "x86_64" ]; then
 	export LDFLAGS=-static
         export CFLAGS=-static
-	./configure --prefix=/usr --bindir=/bin --sbindir=/sbin \
-                        --mandir=/usr/share/man --infodir=/usr/share/info \
-			--sysconfdir=/etc
+	./configure --prefix=/usr --enable-grub-mkfont --bindir=/bin \
+			--sbindir=/sbin --mandir=/usr/share/man \
+			--infodir=/usr/share/info --sysconfdir=/etc
 	unset CFLAGS CPPFLAGS LDFLAGS
 
     else
-      CFLAGS= ./configure --prefix=/usr --bindir=/bin --sbindir=/sbin \
-                --mandir=/usr/share/man --infodir=/usr/share/info \
-		--sysconfdir=/etc
+      CFLAGS= ./configure --prefix=/usr --enable-grub-mkfont --bindir=/bin \
+			--sbindir=/sbin --mandir=/usr/share/man \
+			--infodir=/usr/share/info --sysconfdir=/etc
     fi
   fi
 
@@ -57,10 +62,11 @@
   make DESTDIR=${pkgdir} install || return 1
   
   install -Dm644 ${srcdir}/grub.cfg $startdir/pkg/boot/grub/grub.cfg
-  install -Dm755 ${srcdir}/install-grub $startdir/pkg/sbin/install-grub
+  #install -Dm755 ${srcdir}/install-grub $startdir/pkg/sbin/install-grub
 
   # Fool makepkg into building a x86_64 package
   if [ "$DESTARCH" = "x86_64" ]; then
     export CARCH="x86_64"
   fi
 }
+

Modified: extra-x86_64/grub-1.96-chainloader.patch
===================================================================
--- extra-x86_64/grub-1.96-chainloader.patch	2009-05-10 22:13:03 UTC (rev 38928)
+++ extra-x86_64/grub-1.96-chainloader.patch	2009-05-10 22:15:04 UTC (rev 38929)
@@ -1,6 +1,6 @@
 diff -Nru grub-1.96.orig/kern/i386/pc/startup.S grub-1.96/kern/i386/pc/startup.S
 --- grub-1.96.orig/kern/i386/pc/startup.S	2008-02-03 14:11:32.000000000 +0100
-+++ grub-1.96/kern/i386/pc/startup.S	2008-02-17 06:22:54.000000000 +0100
++++ grub-1.96_20081229/kern/i386/pc/startup.S	2008-02-17 06:22:54.000000000 +0100
 @@ -594,15 +594,15 @@
  
  	call	EXT_C(grub_dl_unload_all)



More information about the arch-commits mailing list